Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1878018 - perl-Data-ObjectDriver-0.19-3.fc34 FTBFS: Can't call method "rating" on an undefined value at t/20-driver-sqlite.t line 47
Summary: perl-Data-ObjectDriver-0.19-3.fc34 FTBFS: Can't call method "rating" on an un...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Data-ObjectDriver
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-09-11 05:34 UTC by Petr Pisar
Modified: 2020-11-04 03:01 UTC (History)
2 users (show)

Fixed In Version: perl-Data-ObjectDriver-0.20-1.fc34 perl-Data-ObjectDriver-0.20-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 03:01:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sixapart data-objectdriver issues 36 0 None closed tests now fail in Data-ObjectDriver-0.19 2021-02-09 09:57:42 UTC

Description Petr Pisar 2020-09-11 05:34:16 UTC
perl-Data-ObjectDriver-0.19-3.fc34 fails to build in Fedora 34, because a test fails:

t/12-windows.t ............. ok
#   Failed test at t/20-driver-sqlite.t line 46.
#          got: '0'
#     expected: '1'
Can't call method "rating" on an undefined value at t/20-driver-sqlite.t line 47.
# Looks like your test exited with 2 just after 5.
t/20-driver-sqlite.t ....... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 9/13 subtests

A difference between a passing and failing build root is at <https://koschei.fedoraproject.org/build/8922790>. A perl-DBD-SQLite upgrade from 1.64-6.fc33 to 1.66-1.fc34 is suspicious.

Comment 1 Emmanuel Seyman 2020-09-14 20:49:34 UTC
Upstream has released version 0.20 of the distribution, fixing the bug.

Comment 2 Fedora Update System 2020-10-26 14:13:04 UTC
FEDORA-2020-39f339a278 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-39f339a278

Comment 3 Fedora Update System 2020-10-27 02:37:25 UTC
FEDORA-2020-39f339a278 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-39f339a278`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-39f339a278

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-11-04 03:01:30 UTC
FEDORA-2020-39f339a278 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.